<template>
  <div>
      <div id="home_top_block">
        <div class="container column">

          <div class="flex space-between">
            <div class="relative _mblock">

                <h1 class="_myHead">No. 1 Cardboard Baling Wire Seller in <span class="_color">USA</span></h1>
                <p class="mb-5">Start Shopping For Cardboard Baling Wire</p>
                <div class="_wireSelect flex">
                    <v-select
                        height="40px"
                        :items="wires"
                        label="Choose Wire"
                        item-text="text"
                        item-value="url"
                        solo
                        v-model="wire"
                    ></v-select>
                    <v-btn
                      id="_explodre"
                      class="my-0"
                      large
                      @click="explore"
                      color="secondary"
                    >Explore</v-btn>
                </div>

            </div>
            <img
              width="60%"
              src="https://cardboardbalingwire.s3.us-west-1.amazonaws.com/hero-min.png">
          </div>

        </div>
      </div>
      <v-container class="medium column" id="_customer_logos">
        <div class="title text-center">
          <h2>Trusted By National Brands</h2>
        </div>
        <div class="flex row-wrap">

          <Lazy
              v-for="(l, i) in home.customer_logos"
              :src="l"
              :key="i"
          >
          </Lazy>

        </div>
      </v-container>
      <v-container class="pa-0 column">
          <div class="_cardboard _product_list py-4" id="_product_lists">
            <div class="container">
                <div class="title">
                  <h2>
                    All Cardboard <span>Baling Wire</span>
                  </h2>
                </div>

                <div class="product_list">

                  <div
                      class="product_item"
                      v-for="(p, i) in home_all"
                      :key="i"
                  >

                    <ProductCard
                      :product="p"
                    >
                    </ProductCard>

                  </div>
                </div>

                <div class="product_list">

                  <div class="product_item _para">

                    <v-card>

                      <v-card-text v-html="home.home_text"></v-card-text>

                    </v-card>

                  </div>

                </div>

            </div>

          </div>
      </v-container>
  </div>
</template>

<script>
import Vue from 'vue'
import ProductCard from '~/components/ProductCard'

Vue.component('ProductCard', ProductCard)

export default {
  scrollToTop: true,
  asyncData({ app }) {

    var query = {
      comp: 'home'
    };

    return app.$apix.get({
      url: '',
      cache: true,
      component: 'home2',
      key: 'index',
      query: query
    }).then((res) => {

      return {
        home: res,
        favs: res.favs,
        home_all: res.home_all,
        badges: res.badges,
        company_logos: res.company_logos,
        favs_schema: res.favs_schema,
        all_products_schema: res.all_products_schema,
        schema: {
            "@context" : "http://schema.org",
            "@type" : "Organization",
            "name": "Cardboard Baling Wire, LLC",
            "url" : "https://www.cardboardbalingwire.com",
            "sameAs": [
              "https://www.facebook.com/cardboardbalingwire/",
              "https://twitter.com/cardboardwire",
              "https://www.linkedin.com/company/cardboard-baling-wire"
            ],
            "address": {
              "@type": "PostalAddress",
              "addressLocality": "Denver",
              "addressRegion": "CO",
              "postalCode": "80218",
              "streetAddress": "383 N Corona St"
            },
            "aggregateRating": {
              "@type": "AggregateRating",
              "ratingValue": "4.9",
              "reviewCount": "12",
              "itemReviewed": "Single Loop Bale Ties, Black Annealed Box Wire, HI-Ten Galvanized Stem Wire, and Black Annealed Stem Wire"
            },
            "brand": "Cardboard Baling Wire",
            "contactPoint": [
                { "@type" : "ContactPoint",
                  "telephone" : "+1-833-225-3843",
                  "contactType" : "Customer Service",
                  "contactOption" : "TollFree",
                  "areaServed" : "US"
                }
            ],
            "email": "sales@cardboardbalingwire.com",
            "founder": [
              {
                "@type": "Person",
                "name": "Jeremy Axel",
                "sameAs": "https://jeremyaxel.com"
              }
            ],
            "logo": "https://cardboardbalingwire.com/shop/img/cardboadbalingwire-logo.jpg"
          },
          schema2: {
            "@context": "http://schema.org",
            "@type": "Website",
            "url": "https://www.cardboardbalingwire.com",
            "funder": [
              {
                "@type": "Person",
                "name": "Jeremy Axel",
                "sameAs": "https://jeremyaxel.com"
              }
            ],
            "copyrightHolder": "Cardboard Baling Wire, LLC"
          }

      }

    });

  },
  data () {
    return {
      wire: null,
      noe: false,
      home: [],
      page: [],
      favs: [],
      home_all: [],
      video: true,
      wires: [
          { url: '/single-loop-bale-ties', text: 'Single Loop Bale Ties' },
          { url: '/black-annealed-box-wire', text: 'Black Annealed Box Wire' },
          { url: '/hi-ten-galvanized-stem-wire', text: 'Hi-Ten Galvanized Stem Wire' },
          { url: '/black-annealed-stem-wire', text: 'Black Annealed Stem Wire' }
      ],
      schema2: {
            "@context": "http://schema.org",
            "@type": "Website",
            "url": "https://www.cardboardbalingwire.com",
            "funder": [
              {
                "@type": "Person",
                "name": "Jeremy Axel",
                "sameAs": "https://jeremyaxel.com"
              }
            ],
            "copyrightHolder": "Cardboard Baling Wire, LLC"
          }
    }
  },
  created () {
    this.noe = false;
  },
  head () {
    return {
      title: this.home.meta.title,
      meta: [
        { hid: 'description', name: 'description', content: this.home.meta.description },
        { property: 'og:title', content: this.home.meta.title },
        { property: 'og:description', content: this.home.meta.description },
        { property: 'og:url', content: this.$store.state.current_domain + this.$route.path },
        { property: 'og:image', content: this.home.meta.og_image }
      ],
      script: [
        { innerHTML: JSON.stringify(this.favs_schema), type: 'application/ld+json' },
        { innerHTML: JSON.stringify(this.all_products_schema), type: 'application/ld+json' },
        { innerHTML: JSON.stringify(this.schema), type: 'application/ld+json' },
        { innerHTML: JSON.stringify(this.schema2), type: 'application/ld+json' }
      ]
    }
  },
  methods: {
    explore () {
      if (!this.wire) {
        this.$store.commit('showSnackBar', 'Please choose wire to explore');
        return false;
      }

      this.$router.push(this.wire + '?ref=explore');

    },
    playVideo(e) {
      e.target.playVideo();
    },
    wasPrice(price) {
      var total;
      var p = price;
      var pri = p.replace('$', '');
      var pric = pri.replace(',', '');
      total = +pric + +pric * 10 / 100;
      var t = parseFloat(total).toFixed(2);
      return Number(t).toLocaleString('en-US', { style: 'currency', currency: 'USD' });
    },
    scrollDown() {
      setTimeout(function () {
          document.getElementById('_product_lists').scrollIntoView({
              behavior: 'smooth',
              block: 'start'
          });
      }, 10);
    },
    liveChat() {
      var el = document.getElementById('Embed');

      el.click();
    }
  }
}
</script>

<style scoped>
div#home_top_block {
    overflow: hidden;
    background: #cbaf3b;
    padding: 80px 40px;
    position: relative;
}

._myHead {
  font-size: 60px;
  width: 750px;
  line-height: 1.4;
  font-weight: 600;
  color: #000000;
  margin-bottom: 30px;
}

div#home_top_block p {
    font-size: 26px;
    color: #11363d;
}

._wireSelect {
  width: 600px;
}

#_explodre {
  height: 48px;
  width: 200px;
}

span._color {
  color: #E53935;
  font-weight: bold;
}

div#home_top_block img {
    position: absolute;
    right: 0;
    top: 0;
}

._mblock {
  z-index: 1;
}
</style>
